import { SetupContext } from "vue";
import { UnionStringArray } from "@chakra-ui/utils";
declare const inputTypes: readonly ["button", "checkbox", "color", "date", "datetime-local", "email", "file", "hidden", "image", "month", "number", "password", "radio", "range", "reset", "search", "submit", "tel", "text", "time", "url", "week"];
export declare type InputTypes = UnionStringArray<typeof inputTypes>;
export interface FormElementProps {
    emits: string[];
    props: Record<string, unknown>;
    handleValueChange: (props: any, type?: InputTypes) => (emit: SetupContext["emit"]) => Record<string, unknown>;
}
export declare const formElements: Record<string, FormElementProps>;
export declare type ChakraFactoryElements = "input" | "select" | "textarea";
export declare function useFormElement(element: ChakraFactoryElements, props: any): {
    elProps: import("vue").ComputedRef<{
        checked: any;
        value: any;
    }>;
};
export {};
//# sourceMappingURL=chakra.forms.d.ts.map